Package commoble.morered.wire_post

# Class WireBreakPacket

java.lang.Object
commoble.morered.wire_post.WireBreakPacket

public class WireBreakPacket extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final net.minecraft.world.phys.Vec3`
`end`
`final net.minecraft.world.phys.Vec3`
`start`

## Constructor Summary

Constructors
Constructor
Description
`WireBreakPacket(net.minecraft.world.phys.Vec3 start, net.minecraft.world.phys.Vec3 end)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Supplier<net.minecraftforge.network.NetworkEvent.Context> contextGetter)`
`static WireBreakPacket`
`read(net.minecraft.network.FriendlyByteBuf buffer)`
`void`
`write(net.minecraft.network.FriendlyByteBuf buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### start

public final net.minecraft.world.phys.Vec3 start

### end

public final net.minecraft.world.phys.Vec3 end

## Constructor Details

### WireBreakPacket

public WireBreakPacket(net.minecraft.world.phys.Vec3 start, net.minecraft.world.phys.Vec3 end)

## Method Details

### write

public void write(net.minecraft.network.FriendlyByteBuf buffer)

### read

public static WireBreakPacket read(net.minecraft.network.FriendlyByteBuf buffer)

### handle

public void handle(Supplier<net.minecraftforge.network.NetworkEvent.Context> contextGetter)